---
title: "About Me" 
date: 2022-12-12T04:43:49+01:00
tags: ["about","contact","9x0rg","data privacy","tech","mountain biking","infosec","asia"] 
author: "9x0rg" 
canonicalURL: "https://9x0rg.com/about" 
hidemeta: true 
ShowReadingTime: false 
ShowPostNavLinks: true 
showtoc: false

---

`$ whoami`

Hi there,

I am a random French-speaking dude who go by the alias of 9x0rg. You might have crossed me under elpanzer or panz' in the past. I trust the good folks out there to find out my real identity real quick; not that I want to hide (who can on the internet, really?) but I just wish to keep my professional and personal personas separate.

I'm a Infosec & risk management professional at day, formerly based in the Asia-Pacific region and now impatriated in Provence.

I've been one of the maintainer of two MTB-related websites during my years in Asia; [KLMBH](https://archive.klmbh.org/post/21014039650/klmbh-frequently-asked-questions) an association perpetuating the tradition of the running Hash[^1] *but* on a mountain bike and [TRAKS](https://www.traks.org.my/), a trail conservancy NGO in Malaysia. So you will probably find a lot of cross-posts here from these two groups of fine folks.

Did I say I ride mountain bikes? I ride mountain bikes. One heavy, sturdy enduro mountain bike in particular. Don't expect to see me on a roadie thinguy but rather on a (too steep) a slope trying to follow my front wheel at (too high a) speed[^2].

Also, in 2013 I did incidentally co-organize the first [Enduro Asia MTB](https://enduroasiamtb.tumblr.com/post/55587094114/enduro-mtb-in-asia-our-story) race in Malaysia, supported by [Red Bull](https://www.redbull.com/my-en/riders-unite-enduro-takes-on-malaysia) with the proud ambition of launching afterwards the Asian chapter (Malaysia, Thailand, Indonesia) of the Enduro World Series, not less. It didn't happen. We were a bit ahead of times I guess. Nice experience though.

## Purpose

`$ whatis`

This blog is a loose collection (*en vrac* in French) of over 1,000 posts, started sometime around 2008 that I am still in the process of migrating from another platform. A real PITA.

I use it myself to bookmark events of interest and sometimes to express my own opinion or ideas *and a few rants of course*, about [infosec & data privacy](/posts/infosec/), [tech](/posts/tech/), [mountain biking](/posts/mtb/), [All Things Asian](/posts/asia/) including politics and [#TGIF](/posts/tgif/) for anything else that wouldn't fit in somewhere.

Most content is published in what qualifies probably as *half-baked English* language or sometimes in French. Feel free to scroll through the posts by [categories](/posts/) which I merely try to keep organized in relevant topics or use the [archives](/archives/) or the [search](/search/) feature.

## Tech

`$ howto`

My first PC as a kid was a Commodore I believe, quickly followed by an Apple IIe. This, I believe makes me a honorary member of the #TeamOld.

Data Privacy advocate and strong supporter of free/libre/open-source software[^3] I use Linux - GNU/Linux for the purists, on all computers since 2006 and all things Microsoft are forbidden in da house.

Arch Linux is my daily driver since 2015 and the couple of servers I maintain with the assistance of [Yunohost](https://yunohost.org/) run Debian. Oh, my phone is ungoogled of course.

This site used to be hosted over the past years under different domain names, on WordPress first then on Tumblr when it was cool. I somehow let it down from 2018 onward and just decided to revive it very recently.

My  website is now static, contains no tracker, no cookies and runs on [Hugo](https://gohugo.io/). The [Wondermod](https://github.com/Wonderfall/hugo-WonderMod/) theme is provided by the fine folks at [WonderFall](https://wonderfall.dev/). 

---

# Contact

## Matrix

Contact me through Matrix at [@olivier:envs.net](https://matrix.to/#/@olivier:envs.net). 

If you do not have a Matrix account, you can sign up for one at [envs.net](https://element.envs.net/#/register/) or any other of your choice which implements the Matrix protocol[^4]. The privacy policy for the envs.net homeserver is available at [this page](https://envs.net/_matrix/consent).

```
https://matrix.to/#/@olivier:envs.net
```

![@olivier:envs.net on Matrix](/images/@olivier.envs.net.png)

--- 

## Mastodon
at this account:
Find me on Mastodon at [@9x0rg@mamot.fr](https://mamot.fr/@9x0rg)

---

## XMPP/Jabber

```
xmpp:x0rg@disroot.org ## Please use OMEMO encryption
```

![x0rg@disroot.org XMPP](/images/xmpp.x0rg@disroot.org.png)

#### OMEMO[^5] fingerprints ##

``` 
837df5e5 b4b216db b1f2df50 
2210a37f a40627fe fe953cf6 
7c02389b fa3e263e

03ac3a7a 94c6f01a 3c3c69a3 
328758f8 ac7dc220 f1ce3002 
033ab087 d666ce46
```
---
## Git forge

* [Gitea](https://git.9x0rg.com)
* [Github](https://github.com/8x0rg) (Inactive)

---
## Email

```
x0rg |at| 9x0rg d0t com
```

GPG key [``ed25519/0xCAAD364477DA43C8``](/9x0rg.pgp.key.asc)

#### GPG Key fingerprint ##
```
26BC C458 2D54 0A23 FE24  0C27 CAAD 3644 77DA 43C8
```

[^1]: The [Hash House Harriers](https://en.wikipedia.org/wiki/Hash_House_Harriers) (Wikipedia)  
[^2]: No trees were injured ever in the making of these countless stunts on two wheels.  
[^3]: See [Free and open-source software](https://en.wikipedia.org/wiki/Free_and_open-source_software) (Wikipedia)
[^4]: [Matrix](https://matrix.org/) is a networking protocol for real-time communication
[^5]: See [OMEMO](https://en.wikipedia.org/wiki/OMEMO) (Wikipedia)