---
title: "The secrets of surveillance capitalism"
date: 2017-02-09T08:43:00+06:00
draft: false
tags: ["surveillance","google","tech","data privacy"]
author: "9x0rg"
hidemeta: false
ShowReadingTime: true
ShowPostNavLinks: true
showtoc: false
cover:
  image: "/images/the-assault-we-face-is-driven.jpg"
  alt: "<The Secrets of Surveillance Capitalism - Shoshana Zuboff>"
  caption: "The assault we face is driven by the exceptional appetites of a wholly new genus of capitalism: surveillance capitalism."
  relative: false # To use relative path for cover image, used in hugo Page-bundles

---

**Google as a fortune teller**

Governmental control is nothing compared to what Google is up to. The company is creating a wholly new genus of capitalism, a systemic coherent new logic of accumulation we should call surveillance capitalism. Is there nothing we can do?

[Google surpassed Apple](http://www.cnbc.com/2016/02/01/google-passes-apple-as-most-valuable-company.html) as the world’s most highly valued company in January for the first time since 2010. (Back then each company was worth less than 200 billion. Now each is valued at well over 500 billion.)  

While Google’s new lead lasted only a few days, the company’s success has implications for everyone who lives within the reach of the Internet. Why? Because Google is ground zero for a wholly new subspecies of capitalism in which profits derive from the unilateral surveillance and modification of human behavior.  

This is a new surveillance capitalism that is unimaginable outside the inscrutable high velocity circuits of Google’s digital universe, whose signature feature is the Internet and its successors. While the world is riveted by the showdown between Apple and the FBI, the real truth is that the surveillance capabilities being developed by surveillance capitalists are the envy of every state security agency. What are the secrets of this new capitalism, how do they produce such staggering wealth, and how can we protect ourselves from its invasive power?

> “Most Americans realize that there are two groups of people who are monitored regularly as they move about the country.  The first group is monitored involuntarily by a court order requiring that a tracking device be attached to their ankle. The second group includes everyone else…”

Some will think that this statement is certainly true. Others will worry that it could become true. Perhaps some think it’s ridiculous. It’s not a quote from a dystopian novel, a Silicon Valley executive, or even an NSA official. These are [the words](http://www.insurancejournal.com/news/national/2013/10/02/307073.htm) of an auto insurance industry consultant intended as a defense of “automotive telematics” and the astonishingly intrusive surveillance capabilities of the allegedly benign systems that are already in use or under development. 

It’s an industry that has been notoriously exploitative toward customers and has had obvious cause to be anxious about the implications of self-driving cars for its business model. Now, data about where we are, where we’re going, how we’re feeling, what we’re saying, the details of our driving, and the conditions of our vehicle are turning into beacons of revenue that illuminate a new commercial prospect. According to the industry literature, these data can be used for dynamic real-time driver behavior modification triggering punishments  (real-time rate hikes, financial penalties, curfews, engine lock-downs) or rewards (rate discounts, coupons, gold stars to redeem for future benefits).

Bloomberg Business Week [notes](http://www.bloomberg.com/news/articles/2015-05-28/allstate-seeks-to-follow-google-as-ceo-mulls-selling-driver-data) that these automotive systems will give insurers a chance to boost revenue by selling customer driving data in the same way that Google profits by collecting information on those who use its search engine. The CEO of Allstate Insurance wants to be like Google. He says, 

> “There are lots of people who are monetizing data today. You get on Google, and it seems like it’s free. It’s not free. You’re giving them information; they sell your information. Could we, should we, sell this information we get from people driving around to various people and capture some additional profit source…? It’s a long-term game.”
> 
-- Shoshana Zuboff in [Frankfurter Allgemeine](https://www.faz.net/aktuell/feuilleton/debatten/the-digital-debate/shoshana-zuboff-secrets-of-surveillance-capitalism-14103616.html) 05 March 2016

[Full article](/Shoshana-Zuboff-Secrets-of-Surveillance-Capitalism.pdf) (.pdf)